<template>
  <button :class="{button: true, alternate: alternate}"><slot></slot></button>
</template>

<script>
export default {
  name: 'Button',
  props: [
    'alternate'
  ]
}
</script>

<style lang="scss" scoped>
.button {
  background: #fff;
  border: none;
  border-radius: 3px;
  padding: 10px 40px;
  color: #D33232;
  cursor: pointer;
  transition: all .2s ease;
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  font-size: 20px;
  box-shadow: 0 3px 6px rgba(#000, .16);
  &:hover {
    background: #D33232;
    color: #fff;
  }
  &:active {
    background: #b12525;
  }
  &.alternate {
    background: #D33232;
    color: #fff;
    &:hover {
      background: #fff;
      color: #D33232;
    }
    &:active {
      background: #d8d8d8;
    }
  }
}
</style>
